# MMS

The following endpoints allow you to manage child organizations.

## List of child organizations

> Retrieves the collection of child organizations. If no organization found response will contain empty array in \`managedOrganizations\` variable.\
> \
> Refer to the \[MMS page]\(<https://help.make.com/make-managed-services-mms>) for Make Managed Services (MMS) overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"MMS","description":"The following endpoints allow you to manage child organizations."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["managed-organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/managed-organizations":{"get":{"tags":["MMS"],"summary":"List of child organizations","description":"Retrieves the collection of child organizations. If no organization found response will contain empty array in `managedOrganizations` variable.\n\nRefer to the [MMS page](https://help.make.com/make-managed-services-mms) for Make Managed Services (MMS) overview.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"managedOrganizations":{"type":"array","items":{"type":"object","properties":{"organizationId":{"type":"integer"},"organizationName":{"type":"string"},"operationsAllocated":{"type":"integer"},"countryId":{"type":"integer"},"timezoneId":{"type":"integer"},"zoneId":{"type":"integer"},"zoneDomain":{"type":"string"},"zoneName":{"type":"string"}}}},"pg":{"type":"object","properties":{"last":{"type":"string"},"showLast":{"type":"boolean"},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}}}}}}}}}
```

## Create child organization

> A successful response contains information about the new organization and user.\
> \
> The endpoint requires \`regionId\` and \`countryId\` in the request body. The \`regionId\` can be retrieved from the GET \`/enums/imt-regions\` endpoint, and the \`countryId\` can be found in GET \`/enums/countries\`.\
> \
> The \`operations\` parameter must be a multiple of 10000. The user name can be an existing user or an external contact without a Make account yet.\
> \
> Refer to the \[MMS page]\(<https://help.make.com/make-managed-services-mms>) for Make Managed Services (MMS) overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"MMS","description":"The following endpoints allow you to manage child organizations."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["managed-organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/managed-organizations":{"post":{"tags":["MMS"],"summary":"Create child organization","description":"A successful response contains information about the new organization and user.\n\nThe endpoint requires `regionId` and `countryId` in the request body. The `regionId` can be retrieved from the GET `/enums/imt-regions` endpoint, and the `countryId` can be found in GET `/enums/countries`.\n\nThe `operations` parameter must be a multiple of 10000. The user name can be an existing user or an external contact without a Make account yet.\n\nRefer to the [MMS page](https://help.make.com/make-managed-services-mms) for Make Managed Services (MMS) overview.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"userEmail":{"type":"string","format":"email"},"userName":{"type":"string"},"organizationName":{"type":"string"},"regionId":{"type":"integer"},"countryId":{"type":"integer"},"operations":{"type":"integer"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"userId":{"type":"integer"},"userEmail":{"type":"string","format":"email"},"userName":{"type":"string"},"userLanguage":{"type":"string"},"userExisted":{"type":"integer"},"childOrganizationId":{"type":"integer"},"newParentOperations":{"type":"integer"},"domain":{"type":"string"}}}}}}}}}}}
```

## List of child organizations consumption

> Retrieves the collection of child organizations with consumption of opertaions/credits. If no organization found response will contain empty array in \`managedOrganizationsConsumption\` variable.\
> \
> Refer to the \[MMS page]\(<https://help.make.com/make-managed-services-mms>) for Make Managed Services (MMS) overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"MMS","description":"The following endpoints allow you to manage child organizations."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["managed-organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/managed-organizations-consumption":{"get":{"tags":["MMS"],"summary":"List of child organizations consumption","description":"Retrieves the collection of child organizations with consumption of opertaions/credits. If no organization found response will contain empty array in `managedOrganizationsConsumption` variable.\n\nRefer to the [MMS page](https://help.make.com/make-managed-services-mms) for Make Managed Services (MMS) overview.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"managedOrganizationsConsumption":{"type":"array","items":{"type":"object","properties":{"organizationId":{"type":"integer"},"centicreditsConsumed":{"type":"string"},"centicreditsExtra":{"type":"string"},"operationsConsumed":{"type":"number"},"operationsExtra":{"type":"number"},"transferConsumed":{"type":"number"},"transferExtra":{"type":"number"},"lastReset":{"type":"string","format":"date-time"}}}}}}}}}}}}}}
```

## Update allocation of a child organization operations

> A successful response contains summary of new operation limits for parent and child organization.\
> \
> The \`operations\` parameter must be a multiple of 10000.\
> \
> Refer to the \[MMS page]\(<https://help.make.com/make-managed-services-mms>) for Make Managed Services (MMS) overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"MMS","description":"The following endpoints allow you to manage child organizations."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["managed-organizations:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/organizations/{organizationId}/managed-organizations/{childOrganizationId}":{"patch":{"tags":["MMS"],"summary":"Update allocation of a child organization operations","description":"A successful response contains summary of new operation limits for parent and child organization.\n\nThe `operations` parameter must be a multiple of 10000.\n\nRefer to the [MMS page](https://help.make.com/make-managed-services-mms) for Make Managed Services (MMS) overview.","parameters":[{"name":"organizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"childOrganizationId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the child organization."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"operations":{"type":"integer"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"newParentOperations":{"type":"integer"},"newChildOperations":{"type":"integer"},"operationsDiff":{"type":"integer"},"limitIncreased":{"type":"boolean"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/mms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
